#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,80,160,200,240,280,320,480,680,1400,2080,2800
 * N : 25,80,160,200,240,280,320,480,680,1400,2080,2800
 * NB : 5,8,8,8,40,40,48,48,56,40,40,80
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 52) (nb_) = 5; \
   else if ((n_) < 220) (nb_) = 8; \
   else if ((n_) < 300) (nb_) = 40; \
   else if ((n_) < 580) (nb_) = 48; \
   else if ((n_) < 1040) (nb_) = 56; \
   else if ((n_) < 2440) (nb_) = 40; \
   else (nb_) = 80; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
